Summary: Audio/Video Control library for IEEE-1394 devices
Name: libavc1394
Version: 0.4.1
Release: 1.1
License: GPL
Group: System Environment/Libraries
Source: http://dl.sourceforge.net/libavc1394/libavc1394-%{version}.tar.gz
BuildRequires: libraw1394-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExcludeArch: s390 s390x

%description
The libavc1394 library allows utilities to control IEEE-1394 devices
using the AV/C specification.  Audio/Video Control allows applications
to control devices like the tape on a VCR or camcorder.

%package devel
Summary: Development libs for libavc1394
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libraw1394-devel

%description devel
Development libraries required to build applications using libavc1394.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README ChangeLog
%doc %{_mandir}/man1/dvcont.1.gz
%{_bindir}/dvcont
%{_libdir}/libavc1394.so.0.1.1
%{_libdir}/librom1394.so.0.1.1


%files devel
%defattr(-,root,root,-)
%{_includedir}/libavc1394
%{_libdir}/libavc1394.a
%{_libdir}/libavc1394.la
%{_libdir}/libavc1394.so
%{_libdir}/librom1394.a
%{_libdir}/librom1394.la
%{_libdir}/librom1394.so


%changelog
* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 12 2004 Warren Togami <wtogami@redhat.com> 0.4.1-1
- upgrade to 0.4.1
- Spec cleanups
- License -> Copyright
- Remove INSTALL; Add News, ChangeLog
- Applications/Multimedia -> System Environment/Libraries

* Mon Aug 25 2003 Bill Nottingham <notting@redhat.com> 0.3.1-7
- fix buildreqs (#102204)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 0.3.1-4
- rebuild on all arches

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude mainframe
- allow lib64

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 09 2002 Michael Fulbright <msf@redhat.com>
- First RPM build

